/**
    @filename   :   epdif.h
    @brief      :   Header file of epdif.cpp providing EPD interface functions
                    Users have to implement all the functions in epdif.cpp
    @author     :   Yehui from Waveshare

    Copyright (C) Waveshare     August 10 2017

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documnetation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to  whom the Software is
    furished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in
    all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
    THE SOFTWARE.
*/

#ifndef EPDIF_H
#define EPDIF_H


// Pin definition
#define RST_PIN         4//8//50//8
#define DC_PIN          3//9//51//9
#define CS_PIN          2//10//52//10
#define BUSY_PIN        5//7//49//7
#define SPI_SCK 1//13//33
#define SPI_MOSI 0//11//34

/*
// Pin definition
#define RST_PIN         8//50//8
#define DC_PIN          9//51//9
#define CS_PIN          10//52//10
#define BUSY_PIN        7//49//7
#define SPI_SCK 13//33
#define SPI_MOSI 11//34
*/


    int  IfInit(void);
    void DigitalWrite(int pin, int value);
    int  DigitalRead(int pin);
    void DelayMs(unsigned int delaytime);
    void SpiTransfer(unsigned char data);


#endif
